package com.mortals.xhx.module.access.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.access.model.AccessStatLogEntity;
/**
 * 统计日志查询对象
 *
 * @author zxfei
 * @date 2024-07-26
 */
public class AccessStatLogQuery extends AccessStatLogEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 接入Id */
    private Long accessIdStart;

    /** 结束 接入Id */
    private Long accessIdEnd;

    /** 增加 接入Id */
    private Long accessIdIncrement;

    /** 接入Id列表 */
    private List <Long> accessIdList;

    /** 接入Id排除列表 */
    private List <Long> accessIdNotList;

    /** 开始 站点Id */
    private Long siteIdStart;

    /** 结束 站点Id */
    private Long siteIdEnd;

    /** 增加 站点Id */
    private Long siteIdIncrement;

    /** 站点Id列表 */
    private List <Long> siteIdList;

    /** 站点Id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点编码 */
    private List<String> siteCodeList;

    /** 站点编码排除列表 */
    private List <String> siteCodeNotList;
    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 开始 统计开始时间 */
    private String statStartTimeStart;

    /** 结束 统计开始时间 */
    private String statStartTimeEnd;

    /** 开始 统计结束时间 */
    private String statEndTimeStart;

    /** 结束 统计结束时间 */
    private String statEndTimeEnd;

    /** 开始 站点Id */
    private Long durationStart;

    /** 结束 站点Id */
    private Long durationEnd;

    /** 增加 站点Id */
    private Long durationIncrement;

    /** 站点Id列表 */
    private List <Long> durationList;

    /** 站点Id排除列表 */
    private List <Long> durationNotList;

    /** 类型 (ALL.全部,PJQ.评价器,PDJ.排队机) */
    private List<String> typeList;

    /** 类型 (ALL.全部,PJQ.评价器,PDJ.排队机)排除列表 */
    private List <String> typeNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AccessStatLogQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AccessStatLogQuery> andConditionList;

    public AccessStatLogQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 接入Id
     * @return accessIdStart
     */
    public Long getAccessIdStart(){
        return this.accessIdStart;
    }

    /**
     * 设置 开始 接入Id
     * @param accessIdStart
     */
    public void setAccessIdStart(Long accessIdStart){
        this.accessIdStart = accessIdStart;
    }

    /**
     * 获取 结束 接入Id
     * @return $accessIdEnd
     */
    public Long getAccessIdEnd(){
        return this.accessIdEnd;
    }

    /**
     * 设置 结束 接入Id
     * @param accessIdEnd
     */
    public void setAccessIdEnd(Long accessIdEnd){
        this.accessIdEnd = accessIdEnd;
    }

    /**
     * 获取 增加 接入Id
     * @return accessIdIncrement
     */
    public Long getAccessIdIncrement(){
        return this.accessIdIncrement;
    }

    /**
     * 设置 增加 接入Id
     * @param accessIdIncrement
     */
    public void setAccessIdIncrement(Long accessIdIncrement){
        this.accessIdIncrement = accessIdIncrement;
    }

    /**
     * 获取 接入Id
     * @return accessIdList
     */
    public List<Long> getAccessIdList(){
        return this.accessIdList;
    }

    /**
     * 设置 接入Id
     * @param accessIdList
     */
    public void setAccessIdList(List<Long> accessIdList){
        this.accessIdList = accessIdList;
    }

    /**
     * 获取 接入Id
     * @return accessIdNotList
     */
    public List<Long> getAccessIdNotList(){
        return this.accessIdNotList;
    }

    /**
     * 设置 接入Id
     * @param accessIdNotList
     */
    public void setAccessIdNotList(List<Long> accessIdNotList){
        this.accessIdNotList = accessIdNotList;
    }


    /**
     * 获取 开始 站点Id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点Id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点Id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点Id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点Id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点Id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点Id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点Id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点Id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点Id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 站点编码
     * @return siteCodeList
     */
    public List<String> getSiteCodeList(){
        return this.siteCodeList;
    }

    /**
     * 设置 站点编码
     * @param siteCodeList
     */
    public void setSiteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
    }

    /**
     * 获取 站点编码
     * @return siteCodeNotList
     */
    public List<String> getSiteCodeNotList(){
        return this.siteCodeNotList;
    }

    /**
     * 设置 站点编码
     * @param siteCodeNotList
     */
    public void setSiteCodeNotList(List<String> siteCodeNotList){
        this.siteCodeNotList = siteCodeNotList;
    }

    /**
     * 获取 站点名称
     * @return siteNameList
     */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
     * 获取 站点名称
     * @return siteNameNotList
     */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
     * 设置 站点名称
     * @param siteNameNotList
     */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
     * 获取 开始 统计开始时间
     * @return statStartTimeStart
     */
    public String getStatStartTimeStart(){
        return this.statStartTimeStart;
    }

    /**
     * 设置 开始 统计开始时间
     * @param statStartTimeStart
     */
    public void setStatStartTimeStart(String statStartTimeStart){
        this.statStartTimeStart = statStartTimeStart;
    }

    /**
     * 获取 结束 统计开始时间
     * @return statStartTimeEnd
     */
    public String getStatStartTimeEnd(){
        return this.statStartTimeEnd;
    }

    /**
     * 设置 结束 统计开始时间
     * @param statStartTimeEnd
     */
    public void setStatStartTimeEnd(String statStartTimeEnd){
        this.statStartTimeEnd = statStartTimeEnd;
    }

    /**
     * 获取 开始 统计结束时间
     * @return statEndTimeStart
     */
    public String getStatEndTimeStart(){
        return this.statEndTimeStart;
    }

    /**
     * 设置 开始 统计结束时间
     * @param statEndTimeStart
     */
    public void setStatEndTimeStart(String statEndTimeStart){
        this.statEndTimeStart = statEndTimeStart;
    }

    /**
     * 获取 结束 统计结束时间
     * @return statEndTimeEnd
     */
    public String getStatEndTimeEnd(){
        return this.statEndTimeEnd;
    }

    /**
     * 设置 结束 统计结束时间
     * @param statEndTimeEnd
     */
    public void setStatEndTimeEnd(String statEndTimeEnd){
        this.statEndTimeEnd = statEndTimeEnd;
    }

    /**
     * 获取 开始 站点Id
     * @return durationStart
     */
    public Long getDurationStart(){
        return this.durationStart;
    }

    /**
     * 设置 开始 站点Id
     * @param durationStart
     */
    public void setDurationStart(Long durationStart){
        this.durationStart = durationStart;
    }

    /**
     * 获取 结束 站点Id
     * @return $durationEnd
     */
    public Long getDurationEnd(){
        return this.durationEnd;
    }

    /**
     * 设置 结束 站点Id
     * @param durationEnd
     */
    public void setDurationEnd(Long durationEnd){
        this.durationEnd = durationEnd;
    }

    /**
     * 获取 增加 站点Id
     * @return durationIncrement
     */
    public Long getDurationIncrement(){
        return this.durationIncrement;
    }

    /**
     * 设置 增加 站点Id
     * @param durationIncrement
     */
    public void setDurationIncrement(Long durationIncrement){
        this.durationIncrement = durationIncrement;
    }

    /**
     * 获取 站点Id
     * @return durationList
     */
    public List<Long> getDurationList(){
        return this.durationList;
    }

    /**
     * 设置 站点Id
     * @param durationList
     */
    public void setDurationList(List<Long> durationList){
        this.durationList = durationList;
    }

    /**
     * 获取 站点Id
     * @return durationNotList
     */
    public List<Long> getDurationNotList(){
        return this.durationNotList;
    }

    /**
     * 设置 站点Id
     * @param durationNotList
     */
    public void setDurationNotList(List<Long> durationNotList){
        this.durationNotList = durationNotList;
    }


    /**
     * 获取 类型 (ALL.全部,PJQ.评价器,PDJ.排队机)
     * @return typeList
     */
    public List<String> getTypeList(){
        return this.typeList;
    }

    /**
     * 设置 类型 (ALL.全部,PJQ.评价器,PDJ.排队机)
     * @param typeList
     */
    public void setTypeList(List<String> typeList){
        this.typeList = typeList;
    }

    /**
     * 获取 类型 (ALL.全部,PJQ.评价器,PDJ.排队机)
     * @return typeNotList
     */
    public List<String> getTypeNotList(){
        return this.typeNotList;
    }

    /**
     * 设置 类型 (ALL.全部,PJQ.评价器,PDJ.排队机)
     * @param typeNotList
     */
    public void setTypeNotList(List<String> typeNotList){
        this.typeNotList = typeNotList;
    }

    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public AccessStatLogQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public AccessStatLogQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public AccessStatLogQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public AccessStatLogQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public AccessStatLogQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public AccessStatLogQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  接入Id
     * @param accessId
     */
    public AccessStatLogQuery accessId(Long accessId){
        setAccessId(accessId);
        return this;
    }

    /**
     * 设置 开始 接入Id
     * @param accessIdStart
     */
    public AccessStatLogQuery accessIdStart(Long accessIdStart){
        this.accessIdStart = accessIdStart;
        return this;
    }

    /**
     * 设置 结束 接入Id
     * @param accessIdEnd
     */
    public AccessStatLogQuery accessIdEnd(Long accessIdEnd){
        this.accessIdEnd = accessIdEnd;
        return this;
    }

    /**
     * 设置 增加 接入Id
     * @param accessIdIncrement
     */
    public AccessStatLogQuery accessIdIncrement(Long accessIdIncrement){
        this.accessIdIncrement = accessIdIncrement;
        return this;
    }

    /**
     * 设置 接入Id
     * @param accessIdList
     */
    public AccessStatLogQuery accessIdList(List<Long> accessIdList){
        this.accessIdList = accessIdList;
        return this;
    }

    /**
     * 设置 接入Id
     * @param accessIdNotList
     */
    public AccessStatLogQuery accessIdNotList(List<Long> accessIdNotList){
        this.accessIdNotList = accessIdNotList;
        return this;
    }

    /**
     * 设置  站点Id
     * @param siteId
     */
    public AccessStatLogQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点Id
     * @param siteIdStart
     */
    public AccessStatLogQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点Id
     * @param siteIdEnd
     */
    public AccessStatLogQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点Id
     * @param siteIdIncrement
     */
    public AccessStatLogQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点Id
     * @param siteIdList
     */
    public AccessStatLogQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点Id
     * @param siteIdNotList
     */
    public AccessStatLogQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }


    /**
     * 设置 站点编码
     * @param siteCode
     */
    public AccessStatLogQuery siteCode(String siteCode){
        setSiteCode(siteCode);
        return this;
    }

    /**
     * 设置 站点编码
     * @param siteCodeList
     */
    public AccessStatLogQuery siteCodeList(List<String> siteCodeList){
        this.siteCodeList = siteCodeList;
        return this;
    }


    /**
     * 设置 站点名称
     * @param siteName
     */
    public AccessStatLogQuery siteName(String siteName){
        setSiteName(siteName);
        return this;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public AccessStatLogQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
        return this;
    }



    /**
     * 设置  站点Id
     * @param duration
     */
    public AccessStatLogQuery duration(Long duration){
        setDuration(duration);
        return this;
    }

    /**
     * 设置 开始 站点Id
     * @param durationStart
     */
    public AccessStatLogQuery durationStart(Long durationStart){
        this.durationStart = durationStart;
        return this;
    }

    /**
     * 设置 结束 站点Id
     * @param durationEnd
     */
    public AccessStatLogQuery durationEnd(Long durationEnd){
        this.durationEnd = durationEnd;
        return this;
    }

    /**
     * 设置 增加 站点Id
     * @param durationIncrement
     */
    public AccessStatLogQuery durationIncrement(Long durationIncrement){
        this.durationIncrement = durationIncrement;
        return this;
    }

    /**
     * 设置 站点Id
     * @param durationList
     */
    public AccessStatLogQuery durationList(List<Long> durationList){
        this.durationList = durationList;
        return this;
    }

    /**
     * 设置 站点Id
     * @param durationNotList
     */
    public AccessStatLogQuery durationNotList(List<Long> durationNotList){
        this.durationNotList = durationNotList;
        return this;
    }


    /**
     * 设置 类型 (ALL.全部,PJQ.评价器,PDJ.排队机)
     * @param type
     */
    public AccessStatLogQuery type(String type){
        setType(type);
        return this;
    }

    /**
     * 设置 类型 (ALL.全部,PJQ.评价器,PDJ.排队机)
     * @param typeList
     */
    public AccessStatLogQuery typeList(List<String> typeList){
        this.typeList = typeList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public AccessStatLogQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public AccessStatLogQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public AccessStatLogQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public AccessStatLogQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public AccessStatLogQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public AccessStatLogQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public AccessStatLogQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public AccessStatLogQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }



    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<AccessStatLogQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<AccessStatLogQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<AccessStatLogQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<AccessStatLogQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}